# Readme

This is a little pile of scripts to configure a Minecraft server on AWS and Namecheap.
In general, the `config.lua` file holds your config, and `secrets.lua` holds api keys.
Each of the vms in `config.lua`.`machines` has a startup script under `src/start/*.sh.etlua`
that gets preprocessed with [etlua]().

### Setup

There are a few one-time set up things:

* Register your domain name, put it in the `config.lua` file
* Create an s3 bucket with any name, and put it's name in the `config.lua` file.
* run make
* Connect to the sidecar server, and run certbot:

	certbot certonly -d domain.name --standalone

* Run `service httpd start` and check that connecting to the domain works.
